#
# spec file for package rubygem-rails-7.0
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-7.0
Version:        7.0.5.1
Release:        1.1
%define mod_name rails
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -7.0
# MANUAL
BuildRequires:  ruby-common >= 3.2.1

#!BuildIgnore: ruby3.1-rubygem-sprockets-3.7
BuildRequires:  %{rubygem activejob >= 7.0}
BuildRequires:  %{rubygem activemodel:7.0}
BuildRequires:  %{rubygem railties:7.0}

# keep in sync with below
BuildRequires:  %{rubygem puma:5}
BuildRequires:  %{rubygem bootsnap}
BuildRequires:  %{rubygem importmap-rails}
BuildRequires:  %{rubygem jbuilder}
BuildRequires:  %{rubygem sprockets-rails}
BuildRequires:  %{rubygem sqlite3:1 >= 1.4}
BuildRequires:  %{rubygem stimulus-rails}
BuildRequires:  %{rubygem turbo-rails}
BuildRequires:  %{rubygem web-console }

# It says 3.0, but to avoid any question for the 3.7 we
# still have in Factory, let's go newer
BuildRequires:  %{rubygem sprockets > 3.8}
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Full-stack web application framework
License:        MIT
Group:          Development/Languages/Ruby

%description
Ruby on Rails is a full-stack web framework optimized for programmer happiness
and sustainable productivity. It encourages beautiful code by favoring
convention over configuration.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Tue Jun 27 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5.1
  * https://rubyonrails.org/2023/6/26/Rails-Versions-7-0-5-1-6-1-7-4-have-been-released
* Mon Jun 26 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5
  * https://rubyonrails.org/2023/5/24/Rails-7-0-5-has-been-released
* Fri May 12 2023 Marcus Rueckert <mrueckert@suse.de>
- fix the additional Requires for the rubyX.Y-rails-7.0:
  this requires the new ruby-common (boo#1208872)
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to version 7.0.4.3:
  https://rubyonrails.org/2023/3/13/Rails-7-0-4-3-and-6-1-7-3-have-been-released
  https://rubyonrails.org/2023/1/24/Rails-7-0-4-2-and-6-1-7-2-have-been-released
  https://rubyonrails.org/2023/1/17/Rails-Versions-6-0-6-1-6-1-7-1-7-0-4-1-have-been-released
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.4
  no changelog found
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  no changelog found
* Mon May 16 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.3
  https://rubyonrails.org/2022/5/9/Rails-7-0-3-6-1-6-6-0-5-and-5-2-8-have-been-released
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.4
  no changelog found
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.2.3
  https://rubyonrails.org/2022/3/8/Rails-7-0-2-3-6-1-4-7-6-0-4-7-and-5-2-6-3-have-been-released
* Mon Mar  7 2022 Stephan Kulow <coolo@suse.com>
- Add requires (also as buildrequires) that are put in the default
  Gemfile
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.2
  no changelog found
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  no changelog found
* Mon Dec 27 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Don't limit building to specific ruby versions
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Rails 7.0 has been released
  https://edgeguides.rubyonrails.org/7_0_release_notes.html
* Sun Dec 12 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
